dpkg-name(1)

NAAM
dpkg-name - hernoem Debian-pakketten naar volledige pakketnamen

OVERZICHT
dpkg-name [optie...] [--] bestand...

BESCHRIJVING
Deze man-pagina documenteert het programma dpkg-name dat voorziet in een eenvoudige manier om Debian-pakketten naar hun volledige pakketnamen te hernoemen. Een volledige pakketnaam bestaat uit pakket_versie_architectuur.pakkettype, zoals opgegeven in het controlebestand van het pakket. Het versie-gedeelte van de bestandsnaam bestaat uit de toeleveraarsversieinformatie (upstream), facultatief gevolgd door een koppelteken en de revisie-informatie. Het deel pakkettype is uit dat veld afkomstig als dat bestaat, anders wordt teruggevallen op deb.

OPTIES

-a, --no-architecture
    De bestandsnaam van de bestemming zal geen architectuuriniformatie bevatten

-k, --symlink
    Maak een symbolische koppeling aan in plaats van te verplaatsen.

-o, --overwrite
    Bestaande bestanden zullen overschreven worden als ze dezelfde naam hebben als de bestandsnaam van de bestemming.

-s, --subdir [map]
    Files will be moved into a subdirectory. If the directory given as argument exists the files will be moved into that directory otherwise the name of the target directory is extracted from the section field in the control part of the package. The target directory will be «unstable/binary-architecture/section». If the section is not found in the control, then no-section is assumed, and in this case, as well as for sections non-free and contrib the target directory is «section/binary-architecture». The section field is not required so a lot of packages will find their way to the no-section area.

    Warning: Use this option with care, it is messy.

-c, --create-dir
    This option can used together with the -s option. If a target directory isn't found it will be created automatically.

    Warning: Use this option with care.

-?, --help
    Toon info over het gebruik en sluit af.

-v, --version
    Toon de versie en sluit af.

OMGEVING

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

BUGS
Bepaalde pakketten volgen de naamstructuur pakket_versie_architectuur.deb niet. Pakketten die door dpkg-name hernoemd worden, volgen deze structuur. Over het algemeen heeft dit geen invloed op de manier waarop pakketten door dselect(1)/dpkg(1) geïnstalleerd worden, maar ander installatiegereedschap kan eventueel steunen op die naamgevingsstructuur.

VOORBEELDEN

dpkg-name bar-foo.deb
    Het bestand bar-foo.deb zal hernoemd worden naar bar-foo_1.0-2_i386.deb of iets gelijkaardigs (afhankelijk van welke informatie er staat in het controlegedeelte van bar-foo.deb).

find /root/debian/ -name '*.deb' | xargs -n 1 dpkg-name -a
    Alle bestanden met de extensie deb in de map /root/debian en de onderliggende mappen zullen indien nodig hernoemd worden door dpkg-name naar namen zonder architectuurinformatie.

find -name '*.deb' | xargs -n 1 dpkg-name -a -o -s -c
    Doe dit niet. Uw archief zal volledig overhoop gehaald worden, omdat veel pakketten geen sectie-informatie hebben. Doe dit niet.

dpkg-deb --build debian-tmp && dpkg-name -o -s .. debian-tmp.deb
    Dit kan gebruikt worden bij het bouwen van nieuwe pakketten.

ZIE OOK
deb(5), deb-control(5), dpkg(1), dpkg-deb(1), find(1), xargs(1).